Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.impl.wsdl.actions.testcase
Class WsdlTestCaseAddStepSoapUIActionGroup

    java.lang.Object
      com.eviware.soapui.support.action.support.AbstractSoapUIActionGroup<T>
          com.eviware.soapui.support.action.support.DefaultSoapUIActionGroup<WsdlTestCase>
              com.eviware.soapui.impl.wsdl.actions.testcase.WsdlTestCaseAddStepSoapUIActionGroup

All Implemented Interfaces:
  SoapUIActionGroup<WsdlTestCase>

    public class WsdlTestCaseAddStepSoapUIActionGroup

extends DefaultSoapUIActionGroup<WsdlTestCase>

SoapUIActionGroup for WsdlTestCases, dynamically creates "Append Step" submenu contents from the WsdlTestStepRegistry

Author:
  ole.matzura

Field Summary

Fields inherited from class com.eviware.soapui.support.action.support.AbstractSoapUIActionGroup
`id, name`

Constructor Summary
`WsdlTestCaseAddStepSoapUIActionGroup(java.lang.String id, java.lang.String name)`

Method Summary
`java.util.List<SoapUIActionMapping<WsdlTestCase>>` | `getActionMappings(WsdlTestCase modelItem)`

Methods inherited from class com.eviware.soapui.support.action.support.DefaultSoapUIActionGroup
`addMapping, addMapping, getMappingIndex`

Methods inherited from class com.eviware.soapui.support.action.support.AbstractSoapUIActionGroup
`getId, getName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WsdlTestCaseAddStepSoapUIActionGroup

    public WsdlTestCaseAddStepSoapUIActionGroup(java.lang.String id,
                                                java.lang.String name)

Method Detail

### getActionMappings

    public java.util.List<SoapUIActionMapping<WsdlTestCase>> getActionMappings(WsdlTestCase modelItem)

  Specified by:
    `getActionMappings` in interface `SoapUIActionGroup<WsdlTestCase>`
  Overrides:
    `getActionMappings` in class `DefaultSoapUIActionGroup<WsdlTestCase>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.